# H501_UsageCallStatus Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_preConnect, e_callInProgress, e_callEnded, e_registrationLost }

## Public Member Functions

| H501_UsageCallStatus (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_UsageCallStatus::Choices

Enumerator:

  e_preConnect |
  e_callInProgress |
  e_callEnded |
  e_registrationLost |

## Constructor & Destructor Documentation

H501_UsageCallStatus::H501_UsageCallStatus | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H501_UsageCallStatus::CreateObject | ( |  | ) |

PObject* H501_UsageCallStatus::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h